﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace LinqToTwitter.Core
{
    [System.SerializableAttribute()]
    [System.Xml.Serialization.XmlRootAttribute(ElementName = "user", Namespace = "", IsNullable = false)]
    public class User
    {
        private string name;
        private string profileImageUrl;
        private string screenName;
        private string url;
        private string location;

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(ElementName = "location", Form = System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public string Location
        {
            get { return location; }
            set { location = value; }
        }
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(ElementName = "name", Form = System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public string Name
        {
            get { return name; }
            set { name = value; }
        }
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(ElementName = "profile_image_url", Form = System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public string ProfileImageUrl
        {
            get { return profileImageUrl; }
            set { profileImageUrl = value; }
        }
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(ElementName = "screen_name", Form = System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public string ScreenName
        {
            get { return screenName; }
            set { screenName = value; }
        }
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(ElementName = "url", Form = System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public string Url
        {
            get { return url; }
            set { url = value; }
        }
    }
}
