﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace LinqToTwitter.Core
{
    public class Status
    {
        // Fields
        private DateTime _createdAt;
        private string _id;
        private string _relativeCreatedAt;
        private string _text;

        // Methods
        public Status()
            : this(string.Empty, DateTime.MinValue, string.Empty, string.Empty)
        {
        }

        public Status(string id, DateTime createdAt, string relativeCreatedAt, string text)
        {
            this._id = string.Empty;
            this._createdAt = DateTime.MinValue;
            this._relativeCreatedAt = string.Empty;
            this._text = string.Empty;
            this._id = id;
            this._createdAt = createdAt;
            this._relativeCreatedAt = relativeCreatedAt;
            this._text = text;
        }

        // Properties
        public DateTime CreatedAt
        {
            get
            {
                return this._createdAt;
            }
            set
            {
                this._createdAt = value;
            }
        }

        public string Id
        {
            get
            {
                return this._id;
            }
            set
            {
                this._id = value;
            }
        }

        public string RelativeCreatedAt
        {
            get
            {
                return this._relativeCreatedAt;
            }
            set
            {
                this._relativeCreatedAt = value;
            }
        }

        public string Text
        {
            get
            {
                return this._text;
            }
            set
            {
                this._text = value;
            }
        }
    }


}
